dpkg-deb(1)

NAMN
dpkg-deb - Debians manipuleringsverktyg för paketarkiv (.deb)

SYNOPS
dpkg-deb [flagga...] åtgärd

BESKRIVNING
dpkg-deb packar, packar upp och tillhandahåller information om Debianarkiv.

Använd dpkg för att installera och ta bort paket från ditt system.

Du kan även starta dpkg-deb genom att anropa dpkg med de flaggor du vill sända till dpkg-deb. dpkg kommer upptäcka att du ville åt dpkg-deb och kör det åt dig.

For most commands taking an input archive argument, the archive can be read from standard input if the archive name is given as a single minus character («-»); otherwise lack of support will be documented in their respective command description.

KOMMANDON

-b, --build katalog [arkiv|katalog]
    Skapar ett Debianarkiv från filsystemsträdet som lagras i katalog. katalog måste innehålla underkatalogen DEBIAN, vilken innehåller styrinformationsfiler såsom själv styrfilen control. Katalogen kommer inte att visas i binärpaketets filsystemsarkiv, utan istället kommer filerna läggas i binärpaketets styrinformationsområde. Unless you specify --nocheck, dpkg-deb will read DEBIAN/control and parse it. It will check the file for syntax errors and other problems, and display the name of the binary package being built. dpkg-deb will also check the permissions of the maintainer scripts and other files found in the DEBIAN control information directory. Om inget arkiv anges kommer dpkg-deb skriva paketet till filen katalog.deb. Om arkivet som skall skapas redan finns kommer det skrivas över. Om den andra argumentet är en katalog kommer dpkg-deb skriva till filen paket_version_arkitektur.deb, eller paket_version.deb om det inte finns något Architecture-fält i styrfilen control. När en målkatalog anges, istället för en fil, kan inte flaggan --nocheck användas (eftersom dpkg-deb måste läsa och tolka paketets styrfil control för att ta reda på vilket filnamn som skall användas).

-I, --info arkiv [control-filnamn ...]
    Tillhandahåller information om ett binärt paketarkiv. Om inga control-filnamn anges kommer det att visa en sammanfattning av innehållet i paketet tillsammans med dess styrfil. Om ett eller flera control-filnamn anges kommer dpkg-deb att skriva ut dem i den ordning de anges. Om några av komponenterna inte fanns kommer ett felmeddelande för vart och ett skrivas ut på standard fel, och programmet avslutar med felstatus 2.

-W, --show arkiv
    Ger information om ett binärt paketarkiv i det format som anges med flaggan --showformat. Det förvalda formatet visar paketets namn och version på en rad, avdelade med tabulatortecken.

-f, --field arkiv [control-fältnamn ...]
    Extraherar styrfilsinformation från ett binärt paketarkiv. If no control-field-names are specified then it will print the whole control file. If any are specified then dpkg-deb will print their contents, in the order in which they appear in the control file. If more than one control-field-name is specified then dpkg-deb will precede each with its field name (and a colon and space). Inga felmeddelande rapporteras för fält som efterfrågas men inte hittas.

-c, --contents arkiv
    Visar innehåller i filsystemsträdsarkivsdelen av paketarkivet. Det visas för närvarande i det format som genereras av tars pratsamma visning.

-x|--extract arkivkatalog
    Extraherar filsystemsträdet från ett paketarkiv till den angivna katalogen. Observera att en extrahering av ett paket till rotkatalogen inte resulterar i en korrekt installation! Använd dpkg för att installera paket. katalog (men inte dess föräldrar) kommer skapas om nödvändigt, och dess behörighet kommer att ändras till att motsvara innehållet i paketet.

-C|--vextract arkivkatalog
    Är som --extract (-x) med --verbose (-v) som visar en lista över filer som extraheras under tiden.

-R, --raw-extract arkivkatalog
    Extracts the filesystem tree from a package archive into a specified directory, and the control information files into a DEBIAN subdirectory of the specified directory (since dpkg 1.16.1). Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt. The input archive is not (currently) processed sequentially, so reading it from standard input («-») is not supported.

--ctrl-tarfile arkiv
    Extraherar kontrolldata från ett binärt paket och sänder det till standard ut i tar-format (sedan dpkg 1.17.14). Tillsammans med tar(1) kan det användas för att hämta ut en specifik kontrollfil från ett paketarkiv. Indataarkiven behandlas alltid i den ordning de anges.

--fsys-tarfile arkiv
    Extraherar filsystemsträdsdata från ett binärt paket och sänder det till standard ut i tar-format. Tillsammans med tar(1) kan det användas för att hämta ut en enskild fil från ett paketarkiv. Indataarkiven behandlas alltid i den ordning de anges.

-e, --control arkiv [katalog]
    Extraherar styrinformationsfilerna från paketarkivet till den angivna katalogen. Om ingen katalog anges kommer en underkatalog vid namn DEBIAN i den aktuella katalogen att användas. Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--showformat=format
    Flaggan används för att ange formatet på utdata som skapas av --show. Formatet är en sträng som matas ut för varje paket i listan. The string may reference any status field using the “${field-name}” form, a list of the valid fields can be easily produced using -I on the same package. A complete explanation of the formatting options (including escape sequences and field tabbing) can be found in the explanation of the --showformat option in dpkg-query(1). The default for this field is “${Package}\t${Version}\n”.

-zkomprimeringsnivå
    Ange vilken komprimeringsnivå som skall användas i komprimeringsfunktionen när ett paket byggs (standard är 9 för gzip och bzip2, 6 för xz och lzma). Giltiga värden är 0-9 där: 0 mappas mot komprimeraren ingen för gzip och till 1 för bzip2. Före dpkg 1.16.2 var nivå 0 komprimeraren ingen för alla komprimerare.

-Skomprimeringsstrategi
    Specify which compression strategy to use on the compressor backend, when building a package (since dpkg 1.16.2). Allowed values are none (since dpkg 1.16.4), filtered, huffman, rle and fixed for gzip (since dpkg 1.17.0) and extreme for xz.

-Zkomprimeringstyp
    Specify which compression type to use when building a package. Allowed values are gzip, xz (since dpkg 1.15.6), bzip2 (deprecated), lzma (since dpkg 1.14.0; deprecated), and none (default is xz).

--uniform-compression
    Specify that the same compression parameters should be used for all archive members (i.e. control.tar and data.tar; since dpkg 1.17.6). Otherwise only the data.tar member will use those parameters. The only supported compression types allowed to be uniformly used are none, gzip and xz.

--deb-format=format
    Set the archive format version used when building (since dpkg 1.17.0). Allowed values are 2.0 for the new format, and 0.939000 for the old one (default is 2.0). Det gamla arkivformatet är mer svårtolkat av icke-Debianverktyg och är nu utgånget; dess enda användningsområde är för att bygga paket som skall tolkas av versioner av dpkg äldre än 0.93.76 (september 1995), vilka endast släpptes som i386-a.out.

--new
    Detta är ett gammalt alias för --deb-format=2.0.

--old
    Detta är ett gammalt alias för --deb-format=0.939000.

--nocheck
    Förhindrar dpkg-deb --build s normala tester på det föreslagna innehållet i arkivet. Du kan bygga vilket arkiv du än vill, oavsett hur trasigt, på det här sätt.

-v, --verbose
    Enables verbose output (since dpkg 1.16.1). This currently only affects --extract making it behave like --vextract.

-D, --debug
    Aktiverar felsökningsutdata. Denna är inte speciellt intressant.

RETURVÄRDE

0   Den önskade funktionen utfördes utan fel.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

MILJÖVARIABLER

TMPDIR
    Om satt så kommer dpkg-deb att använda det som katalogen där temporära filer och kataloger skapas.

SOURCE_DATE_EPOCH
    If set, it will be used as the timestamp (as seconds since the epoch) in the deb(5)'s ar(5) container and used to clamp the mtime in the tar(5) file entries.

ANTECKNINGAR
Försök inte använda bara dpkg-deb för att installera programvara! Du måste använda normala dpkg för att se till att alla filer läggs på korrekt plats och att paketets skript körs och dess status och innehåll sparas.

PROGRAMFEL
dpkg-deb -I paket1.deb paket2.deb gör fel. Det finns inte någon autentisering av .deb-filer. Faktiskt finns det inte ens någon enkel kontrollsumma. (Verktyg som arbetar på en högre nivå, som APT, stöder autentisering av .deb-paket som hämtas från ett givet arkiv, och de flesta paket har nu för tiden en md5sum-kontrollfil som skapas av debian/rules. Filen stöds dock inte direkt av lågnivåverktygen.)

SE ÄVEN
deb(5), deb-control(5), dpkg(1), dselect(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.